package com.bonus.canteen.core.user.service;

import java.util.List;
import com.bonus.canteen.core.user.domain.UserAddr;

/**
 * 地址信息Service接口
 * 
 * @author xsheng
 * @date 2025-04-14
 */
public interface IUserAddrService {
    /**
     * 查询地址信息
     * 
     * @param id 地址信息主键
     * @return 地址信息
     */
    public UserAddr selectUserAddrById(Long id);

    /**
     * 查询地址信息列表
     * 
     * @param userAddr 地址信息
     * @return 地址信息集合
     */
    public List<UserAddr> selectUserAddrList(UserAddr userAddr);

    /**
     * 新增地址信息
     * 
     * @param userAddr 地址信息
     * @return 结果
     */
    public int insertUserAddr(UserAddr userAddr);

    /**
     * 修改地址信息
     * 
     * @param userAddr 地址信息
     * @return 结果
     */
    public int updateUserAddr(UserAddr userAddr);

    public int updateUserAddrAsDefault(UserAddr userAddr);

    /**
     * 批量删除地址信息
     * 
     * @param ids 需要删除的地址信息主键集合
     * @return 结果
     */
    public int deleteUserAddrByIds(Long[] ids);

    /**
     * 删除地址信息信息
     * 
     * @param id 地址信息主键
     * @return 结果
     */
    public int deleteUserAddrById(Long id);
}
